Bug 1252559 - Unhelpful error message if package URLs aren't entered
Unhelpful error message if package URLs aren't entered
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Kadlčík
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 12:59 EDT by Richard Fearn
Modified: 2015-10-15 05:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 05:45:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot if form is submitted without URLs entered (62.26 KB, image/png)
2015-08-11 12:59 EDT, Richard Fearn
no flags Details

  None (edit)
Description Richard Fearn 2015-08-11 12:59:32 EDT
Created attachment 1061637 [details]
Screenshot if form is submitted without URLs entered

Description of problem:

When creating a new build, if the form is submitted without any URLs being specified, the page has a red box near the top with "pkgs" written inside.

Further down though it does say "This field is required" under the URLs box.

Version-Release number of selected component (if applicable):

1.66-1.fc21

Steps to Reproduce:
1. Create a new build, "From URLs"
2. Don't enter any URLs
3. Click "Build"

Actual results:

Red box containing "pkgs"

Expected results:

More helpful error message
Comment 1 Jakub Kadlčík 2015-08-17 09:02:37 EDT
Hello Richard,
thank you for the feedback.

Modified in: 4965a97
Comment 2 Richard Fearn 2015-08-17 13:45:10 EDT
> thank you for the feedback.

You're welcome!

> Modified in: 4965a97

https://git.fedorahosted.org/cgit/copr.git/commit/?id=4965a976a57d7c65a630dc4456783ba59ba1ad0b

Thanks!
Comment 3 Miroslav Suchý 2015-10-15 05:45:54 EDT
Version with this fix has been just deployed to production.

Note You need to log in before you can comment on or make changes to this bug.